
Figure - Bug #118634
【IOVDEV-33351】【自动化测试】【稳定性测试】【VC1】【副屏】monkey稳定性测试，副屏重启（自动化
台架1）
2023-06-08 10:49 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: Urgent Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: 重启 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.c103����【副屏版本号】：01.00.0106.c103

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 与 #118052 问题相同

Description

【重启时间】：2023/6/7 18:00 ~ 6/8 09:30之间

【前提条件】：副屏上电

【测试环境】：中控+副屏+AMP

【操作步骤】：monkey稳定性测试

【前提条件】：执行monkey稳定性测试

【实际结果】：monkey停止运行，安卓系统重启，system_server PID 23000+

【期望结果】：无黑屏、卡死、重启等问题

【VIN】：HRYTTESTVINMGM446

【中控版本号】：03.02.0086.c103

【副屏版本号】：01.00.0106.c103

History

#1 - 2023-06-08 10:50 - CDTS_Test 吴诗雨

日志较大，下载中，下载完上传

#2 - 2023-06-08 11:04 - CDTS_Test 吴诗雨

- Category changed from CD-FW to 重启

#3 - 2023-06-08 11:16 - CDTS_Test 吴诗雨

- Category changed from 重启 to CD-FW

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118634

#4 - 2023-06-08 13:52 - CDTS_Test 吴诗雨

- Category changed from CD-FW to 重启

#5 - 2023-06-08 14:04 - CD FW 曹覃刚
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118634


- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 问题相同

■ 我的分析

与 #118052 问题相同, 将在 #118052 跟踪分析

surfaceflinger报空指针了，导致系统进程挂了

--------------------

06-07 18:55:18.066 26078 26078 F DEBUG   : * 

06-07 18:55:18.066 26078 26078 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3775:user/test-keys'

06-07 18:55:18.066 26078 26078 F DEBUG   : Revision: '0'

06-07 18:55:18.066 26078 26078 F DEBUG   : ABI: 'arm64'

06-07 18:55:18.066 26078 26078 F DEBUG   : Timestamp: 2023-06-07 18:55:17.800279197+0800

06-07 18:55:18.066 26078 26078 F DEBUG   : Process uptime: 0s

06-07 18:55:18.066 26078 26078 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-07 18:55:18.066 26078 26078 F DEBUG   : pid: 980, tid: 980, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-07 18:55:18.066 26078 26078 F DEBUG   : uid: 1000

06-07 18:55:18.066 26078 26078 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

06-07 18:55:18.066 26078 26078 F DEBUG   : Cause: null pointer dereference

06-07 18:55:18.066 26078 26078 F DEBUG   :     x0  b4000079384aba88  x1  0000007fd5b063e8  x2  00000077c82a7c20  x3  0000007fd5b06228

06-07 18:55:18.066 26078 26078 F DEBUG   :     x4  0000000000000018  x5  00000000ffffffff  x6  00000000ffffffff  x7  747465732e64696f

06-07 18:55:18.066 26078 26078 F DEBUG   :     x8  b4000079384a93b0  x9  00000000000026d8  x10 0000000000000000  x11 0000000000000a00

06-07 18:55:18.066 26078 26078 F DEBUG   :     x12 000000000000000d  x13 00000000dfb68e4a  x14 b4000078a83a7f98  x15 0000000000000000

06-07 18:55:18.066 26078 26078 F DEBUG   :     x16 0000005ed2a83d08  x17 0000007ac6ef0ec0  x18 0000007ac9dde000  x19 0000000000000000

06-07 18:55:18.066 26078 26078 F DEBUG   :     x20 0000007fd5b063e8  x21 b4000079384aba88  x22 0000043800000a00  x23 b4000079384a93b0

06-07 18:55:18.067 26078 26078 F DEBUG   :     x24 0000007ab8384240  x25 b4000079482726c0  x26 0000007ac9926000  x27 0000000000000438

06-07 18:55:18.067 26078 26078 F DEBUG   :     x28 0000000000000000  x29 0000007fd5b062e0

06-07 18:55:18.067 26078 26078 F DEBUG   :     lr  0000005ed25f77a4  sp  0000007fd5b062e0  pc  0000007ac6ef0ee0  pst 0000000060001000

06-07 18:55:18.067 26078 26078 F DEBUG   : backtrace:

06-07 18:55:18.067 26078 26078 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #01 pc 000000000015f7a0  /system/bin/surfaceflinger (android::LayerRenderArea::render(std::__1::function<void

()>)+944) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #02 pc 00000000001c6a00  /system/bin/surfaceflinger (ZNSt3

_120__packaged_task_funcIZN7android14SurfaceFlinger19captureScreenCommonENS_6futureINS_10unique_ptrINS1_10RenderAreaENS_14default_deleteIS5_EEEEE

ENS_8functionIFvRKNSA_IFvPNS1_5LayerEEEEEEERKNS_10shared_ptrINS1_12renderengine15ExternalTextureEEEbbRKNS1_2spINS1_3gui22IScreenCaptureListen

erEEEE4$_93NS_9allocatorISV_EEFvvEEclEv$8fd14edc326db0e9be510f46fb0c4dd5+368) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #03 pc 00000000001c62cc  /system/bin/surfaceflinger (

ZN7android4TaskIZNS_14SurfaceFlinger19captureScreenCommonENSt3

_16futureINS2_10unique_ptrINS_10RenderAreaENS2_14default_deleteIS5_EEEEEENS2_8functionIFvRKNSA_IFvPNS_5LayerEEEEEEERKNS2_10shared_ptrINS_12r

enderengine15ExternalTextureEEEbbRKNS_2spINS_3gui22IScreenCaptureListenerEEEE4$_93E13handleMessageERKNS_7MessageE$8fd14edc326db0e9be510f46fb0c4d

d5+92) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #04 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #05 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #06 pc 000000000016f870  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #07 pc 00000000001891d4  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+100) (BuildId:
9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #08 pc 00000000001d7248  /system/bin/surfaceflinger (main+1640) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 18:55:18.067 26078 26078 F DEBUG   :       #09 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

#6 - 2023-06-08 15:06 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-06-08 15:07 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
